PoemWiki Open API
    • 数据导入接口使用指南
    • Genrate Access Token
      POST
    • Detect Language
      POST
    • Import Poem
      POST
    • Poem Search
      POST
    • Poem Details by FakeID
      GET
    • Author Search
      POST

      Poem Search

      Testing Env
      https://poemwiki.zeabur.app/api/v1
      Testing Env
      https://poemwiki.zeabur.app/api/v1
      POST
      /poem/q/

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Header Params

      Body Params application/json

      Examples
      {
          "keyword": "费鲁文",
          "mode": "poem-select"
      }

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      cURL
      curl --location 'https://poemwiki.zeabur.app/api/v1/poem/q/' \
      --header 'Accept: application/json' \
      --header 'Authorization: Bearer <token>' \
      --header 'content-type: application/json' \
      --data '{
          "keyword": "费鲁文",
          "mode": "poem-select"
      }'

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      Examples
      {
          "data": {
              "authors": [
                  {
                      "id": 1213,
                      "avatar_url": "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIl5uHJ2ia0A8ibl8t4TAJPfSDeggH6s5p0DiaYiaicZsf1zpPT7EH7IfZPeibCdSUqCJgWN3sIUfkd6p7Q/132",
                      "label": "费鲁文",
                      "describe_lang": "江西人,现居上海。",
                      "user": {
                          "id": 121,
                          "avatar_url": "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIl5uHJ2ia0A8ibl8t4TAJPfSDeggH6s5p0DiaYiaicZsf1zpPT7EH7IfZPeibCdSUqCJgWN3sIUfkd6p7Q/132",
                          "name": "李祥生"
                      },
                      "#label": "费鲁文",
                      "avatar_true": true
                  }
              ],
              "keyword": "费鲁文",
              "poems": [
                  {
                      "poet_label": "费鲁文",
                      "poet_id": 1213,
                      "poet_is_v": true,
                      "translator": null,
                      "id": 54707,
                      "title": "我们的田野,美丽的田野",
                      "url": "http://wiki.lol/p/NTMwNDkyMTIxMjA4MzE2Mw==",
                      "poet_contains_keyword": true,
                      "poem": "我就是这个毛病什么都是突然的凭空让生活中",
                      "poem_contains_keyword": false,
                      "translator_label": null
                  },
                  {
                      "poet_label": "费鲁文",
                      "poet_id": 1213,
                      "poet_is_v": true,
                      "translator": null,
                      "id": 28484,
                      "title": "十四行",
                      "url": "http://wiki.lol/p/Mjc2MjA4NDg0ODQ2NDk0OA==",
                      "poet_contains_keyword": true,
                      "poem": "那一年的春天来得很早早春",
                      "poem_contains_keyword": false,
                      "translator_label": null
                  }
              ]
          },
          "message": "",
          "code": 0
      }
      Modified at 2026-04-09 22:18:53
      Previous
      Import Poem
      Next
      Poem Details by FakeID
      Built with